Bug 542114 - Segfault inside _PyObject_GC_Malloc running /usr/bin/sealert
Segfault inside _PyObject_GC_Malloc running /usr/bin/sealert
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:a735ef01538b831d89992bfd363...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-28 07:35 EST by Tom Beam
Modified: 2010-12-03 21:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.83 KB, text/plain)
2009-11-28 07:35 EST, Tom Beam
no flags Details

  None (edit)
Description Tom Beam 2009-11-28 07:35:51 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python -E /usr/bin/sealert -s
component: python
executable: /usr/bin/python
kernel: 2.6.31.6-134.fc12.x86_64
package: python-2.6.2-2.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 Tom Beam 2009-11-28 07:35:54 EST
Created attachment 374399 [details]
File: backtrace
Comment 2 Tom Beam 2009-11-28 07:37:25 EST
quite seriously, i have no idea how this happened...using all the testing repos though...
Comment 3 Dave Malcolm 2009-11-30 19:12:35 EST
Thank you for reporting this bug.

How reproducable is this problem?  If you run the program from a terminal, is an error message printed?

What version of setroubleshoot-server do you have installed?

Looking at the backtrace, it looks like the problem occurred either inside Python's memory allocator, or inside Python's garbage collector (perhaps a corrupt heap?)

Unfortunately, it's hard to say for sure as it's only a partial symbolic stack trace. In order to get a more full symbolic stack trace, the appropriate debuginfo packages need to be installed.

In order to accomplish this, you can run the command:
debuginfo-install python
Comment 4 Bug Zapper 2010-11-04 01:05:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 21:39:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.